﻿// <auto-generated />
// This file was generated by a T4 template.
// Don't change it directly as your change would get overwritten.  Instead, make changes
// to the .tt file (i.e. the T4 template) and save it to regenerate this file.

// Make sure the compiler doesn't complain about missing Xml comments and CLS compliance
// 0108: suppress "Foo hides inherited member Foo. Use the new keyword if hiding was intended." when a controller and its abstract parent are both processed
// 0114: suppress "Foo.BarController.Baz()' hides inherited member 'Qux.BarController.Baz()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword." when an action (with an argument) overrides an action in a parent controller
#pragma warning disable 1591, 3008, 3009, 0108, 0114
#region T4MVC

using System;
using System.Diagnostics;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Mvc.Html;
using System.Web.Routing;
using T4MVC;

[GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
public static partial class MVC
{
    public static OneAccomplishment.Site.Controllers.DefaultController Default = new OneAccomplishment.Site.Controllers.T4MVC_DefaultController();
    public static OneAccomplishment.Site.Controllers.HomeController Home = new OneAccomplishment.Site.Controllers.T4MVC_HomeController();
    public static OneAccomplishment.Site.Controllers.LoginController Login = new OneAccomplishment.Site.Controllers.T4MVC_LoginController();
    public static OneAccomplishment.Site.Controllers.LogoutController Logout = new OneAccomplishment.Site.Controllers.T4MVC_LogoutController();
    public static OneAccomplishment.Site.Controllers.SharedNavItemsController SharedNavItems = new OneAccomplishment.Site.Controllers.T4MVC_SharedNavItemsController();
    public static OneAccomplishment.Site.Controllers.SharedUserDropdownController SharedUserDropdown = new OneAccomplishment.Site.Controllers.T4MVC_SharedUserDropdownController();
    public static OneAccomplishment.Site.Controllers.SharedController Shared = new OneAccomplishment.Site.Controllers.T4MVC_SharedController();
}

namespace T4MVC
{
}

namespace T4MVC
{
    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public class Dummy
    {
        private Dummy() { }
        public static Dummy Instance = new Dummy();
    }
}

[GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
internal partial class T4MVC_System_Web_Mvc_ActionResult : System.Web.Mvc.ActionResult, IT4MVCActionResult
{
    public T4MVC_System_Web_Mvc_ActionResult(string area, string controller, string action, string protocol = null): base()
    {
        this.InitMVCT4Result(area, controller, action, protocol);
    }
     
    public override void ExecuteResult(System.Web.Mvc.ControllerContext context) { }
    
    public string Controller { get; set; }
    public string Action { get; set; }
    public string Protocol { get; set; }
    public RouteValueDictionary RouteValueDictionary { get; set; }
}



namespace Links
{
    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public static class SiteScripts {
        public const string UrlPath = "~/Scripts";
        public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
        public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Core {
            public const string UrlPath = "~/Scripts/Core";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            public static readonly string Main_ts = Url("Main.ts");
            public static readonly string README_md = Url("README.md");
            public static readonly string require_config_generated_ts = Url("require.config.generated.ts");
            public static readonly string require_config_ts = Url("require.config.ts");
            public static readonly string require_js = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/require.min.js") ? Url("require.min.js") : Url("require.js");
            public static readonly string require_modules_generated_ts = Url("require.modules.generated.ts");
            public static readonly string tslib_js = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/tslib.min.js") ? Url("tslib.min.js") : Url("tslib.js");
        }
    
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Definitions {
            public const string UrlPath = "~/Scripts/Definitions";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            public static readonly string mvc_models_dotnet_d_ts = Url("mvc.models.dotnet.d.ts");
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public static class Vendor {
                public const string UrlPath = "~/Scripts/Definitions/Vendor";
                public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                public static readonly string aspnet_validation_d_ts = Url("aspnet-validation.d.ts");
                public static readonly string knockout_d_ts = Url("knockout.d.ts");
                public static readonly string popper_d_ts = Url("popper.d.ts");
                public static readonly string requirejs_domReady_d_ts = Url("requirejs-domReady.d.ts");
                public static readonly string requirejs_d_ts = Url("requirejs.d.ts");
                public static readonly string tippy_d_ts = Url("tippy.d.ts");
            }
        
        }
    
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Helpers {
            public const string UrlPath = "~/Scripts/Helpers";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            public static readonly string FormsValidationFactory_ts = Url("FormsValidationFactory.ts");
            public static readonly string HtmlJsonData_ts = Url("HtmlJsonData.ts");
            public static readonly string README_md = Url("README.md");
            public static readonly string Require_Extensions_ts = Url("Require.Extensions.ts");
            public static readonly string TippyHelper_ts = Url("TippyHelper.ts");
        }
    
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Site {
            public const string UrlPath = "~/Scripts/Site";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public static class Login {
                public const string UrlPath = "~/Scripts/Site/Login";
                public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                public static readonly string Index_ts = Url("Index.ts");
            }
        
            public static readonly string README_md = Url("README.md");
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public static class Shared {
                public const string UrlPath = "~/Scripts/Site/Shared";
                public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                public static readonly string Layout_ts = Url("Layout.ts");
            }
        
        }
    
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Templates {
            public const string UrlPath = "~/Scripts/Templates";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            public static readonly string require_config_template = Url("require.config.template");
        }
    
        public static readonly string tsconfig_json = Url("tsconfig.json");
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Vendor {
            public const string UrlPath = "~/Scripts/Vendor";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            public static readonly string aspnet_validation_js = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/aspnet-validation.min.js") ? Url("aspnet-validation.min.js") : Url("aspnet-validation.js");
            public static readonly string domReady_js = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/domReady.min.js") ? Url("domReady.min.js") : Url("domReady.js");
            public static readonly string knockout_js = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/knockout.min.js") ? Url("knockout.min.js") : Url("knockout.js");
            public static readonly string ko_mapping_js = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/ko.mapping.min.js") ? Url("ko.mapping.min.js") : Url("ko.mapping.js");
            public static readonly string popper_js = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/popper.min.js") ? Url("popper.min.js") : Url("popper.js");
            public static readonly string README_md = Url("README.md");
            public static readonly string tippy_js = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/tippy.min.js") ? Url("tippy.min.js") : Url("tippy.js");
        }
    
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public static class SiteContent {
        public const string UrlPath = "~/Content";
        public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
        public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
        public static readonly string favicon_ico = Url("favicon.ico");
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Fonts {
            public const string UrlPath = "~/Content/Fonts";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public static class Raleway {
                public const string UrlPath = "~/Content/Fonts/Raleway";
                public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                public static readonly string OFL_txt = Url("OFL.txt");
                public static readonly string Raleway_Black_woff = Url("Raleway-Black.woff");
                public static readonly string Raleway_Black_woff2 = Url("Raleway-Black.woff2");
                public static readonly string Raleway_BlackItalic_woff = Url("Raleway-BlackItalic.woff");
                public static readonly string Raleway_BlackItalic_woff2 = Url("Raleway-BlackItalic.woff2");
                public static readonly string Raleway_Bold_woff = Url("Raleway-Bold.woff");
                public static readonly string Raleway_Bold_woff2 = Url("Raleway-Bold.woff2");
                public static readonly string Raleway_BoldItalic_woff = Url("Raleway-BoldItalic.woff");
                public static readonly string Raleway_BoldItalic_woff2 = Url("Raleway-BoldItalic.woff2");
                public static readonly string Raleway_ExtraBold_woff = Url("Raleway-ExtraBold.woff");
                public static readonly string Raleway_ExtraBold_woff2 = Url("Raleway-ExtraBold.woff2");
                public static readonly string Raleway_ExtraBoldItalic_woff = Url("Raleway-ExtraBoldItalic.woff");
                public static readonly string Raleway_ExtraBoldItalic_woff2 = Url("Raleway-ExtraBoldItalic.woff2");
                public static readonly string Raleway_ExtraLight_woff = Url("Raleway-ExtraLight.woff");
                public static readonly string Raleway_ExtraLight_woff2 = Url("Raleway-ExtraLight.woff2");
                public static readonly string Raleway_ExtraLightItalic_woff = Url("Raleway-ExtraLightItalic.woff");
                public static readonly string Raleway_ExtraLightItalic_woff2 = Url("Raleway-ExtraLightItalic.woff2");
                public static readonly string Raleway_Italic_woff = Url("Raleway-Italic.woff");
                public static readonly string Raleway_Italic_woff2 = Url("Raleway-Italic.woff2");
                public static readonly string Raleway_Light_woff = Url("Raleway-Light.woff");
                public static readonly string Raleway_Light_woff2 = Url("Raleway-Light.woff2");
                public static readonly string Raleway_LightItalic_woff = Url("Raleway-LightItalic.woff");
                public static readonly string Raleway_LightItalic_woff2 = Url("Raleway-LightItalic.woff2");
                public static readonly string Raleway_Medium_woff = Url("Raleway-Medium.woff");
                public static readonly string Raleway_Medium_woff2 = Url("Raleway-Medium.woff2");
                public static readonly string Raleway_MediumItalic_woff = Url("Raleway-MediumItalic.woff");
                public static readonly string Raleway_MediumItalic_woff2 = Url("Raleway-MediumItalic.woff2");
                public static readonly string Raleway_Regular_woff = Url("Raleway-Regular.woff");
                public static readonly string Raleway_Regular_woff2 = Url("Raleway-Regular.woff2");
                public static readonly string Raleway_SemiBold_woff = Url("Raleway-SemiBold.woff");
                public static readonly string Raleway_SemiBold_woff2 = Url("Raleway-SemiBold.woff2");
                public static readonly string Raleway_SemiBoldItalic_woff = Url("Raleway-SemiBoldItalic.woff");
                public static readonly string Raleway_SemiBoldItalic_woff2 = Url("Raleway-SemiBoldItalic.woff2");
                public static readonly string Raleway_Thin_woff = Url("Raleway-Thin.woff");
                public static readonly string Raleway_Thin_woff2 = Url("Raleway-Thin.woff2");
                public static readonly string Raleway_ThinItalic_woff = Url("Raleway-ThinItalic.woff");
                public static readonly string Raleway_ThinItalic_woff2 = Url("Raleway-ThinItalic.woff2");
                public static readonly string stylesheet_css = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/stylesheet.min.css") ? Url("stylesheet.min.css") : Url("stylesheet.css");
            }
        
        }
    
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Images {
            public const string UrlPath = "~/Content/Images";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            public static readonly string Logo_png = Url("Logo.png");
            public static readonly string Logo_BW_png = Url("Logo_BW.png");
            public static readonly string Pika_png = Url("Pika.png");
        }
    
        public static readonly string placeholder = Url("placeholder");
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Styles {
            public const string UrlPath = "~/Content/Styles";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            public static readonly string _Branding_less = Url("_Branding.less");
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public static class _Controls {
                public const string UrlPath = "~/Content/Styles/_Controls";
                public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                public static readonly string _Alerts_less = Url("_Alerts.less");
                public static readonly string _Buttons_less = Url("_Buttons.less");
                public static readonly string _Links_less = Url("_Links.less");
                public static readonly string _Validators_less = Url("_Validators.less");
                [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
                public static class Shared {
                    public const string UrlPath = "~/Content/Styles/_Controls/Shared";
                    public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                    public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                    public static readonly string _NavItems_less = Url("_NavItems.less");
                    public static readonly string NavHeadingIcons_less = Url("NavHeadingIcons.less");
                }
            
            }
        
            public static readonly string _Controls_less = Url("_Controls.less");
            public static readonly string _FallbackInit_less = Url("_FallbackInit.less");
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public static class _Tippy {
                public const string UrlPath = "~/Content/Styles/_Tippy";
                public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                public static readonly string tippy_oa_dropdown_less = Url("tippy.oa-dropdown.less");
            }
        
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public static class Login {
                public const string UrlPath = "~/Content/Styles/Login";
                public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                public static readonly string Index_less = Url("Index.less");
            }
        
            public static readonly string placeholder = Url("placeholder");
            public static readonly string Site_less = Url("Site.less");
            public static readonly string Site_Single_less = Url("Site.Single.less");
        }
    
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Styles_Fallback {
            public const string UrlPath = "~/Content/Styles.Fallback";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            public static readonly string _FallbackInit_less = Url("_FallbackInit.less");
            public static readonly string README_md = Url("README.md");
            public static readonly string Site_less = Url("Site.less");
        }
    
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public static class Vendor {
            public const string UrlPath = "~/Content/Vendor";
            public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
            public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
            public static readonly string bootstrap_vars_less = Url("bootstrap-vars.less");
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public static class FontAwesome {
                public const string UrlPath = "~/Content/Vendor/FontAwesome";
                public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                public static readonly string _animated_less = Url("_animated.less");
                public static readonly string _bordered_pulled_less = Url("_bordered-pulled.less");
                public static readonly string _core_less = Url("_core.less");
                public static readonly string _fixed_width_less = Url("_fixed-width.less");
                public static readonly string _icons_less = Url("_icons.less");
                public static readonly string _larger_less = Url("_larger.less");
                public static readonly string _list_less = Url("_list.less");
                public static readonly string _mixins_less = Url("_mixins.less");
                public static readonly string _rotated_flipped_less = Url("_rotated-flipped.less");
                public static readonly string _screen_reader_less = Url("_screen-reader.less");
                public static readonly string _shims_less = Url("_shims.less");
                public static readonly string _stacked_less = Url("_stacked.less");
                public static readonly string _variables_less = Url("_variables.less");
                public static readonly string brands_less = Url("brands.less");
                public static readonly string fontawesome_less = Url("fontawesome.less");
                [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
                public static class Fonts {
                    public const string UrlPath = "~/Content/Vendor/FontAwesome/Fonts";
                    public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                    public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                    public static readonly string fa_brands_400_eot = Url("fa-brands-400.eot");
                    public static readonly string fa_brands_400_svg = Url("fa-brands-400.svg");
                    public static readonly string fa_brands_400_ttf = Url("fa-brands-400.ttf");
                    public static readonly string fa_brands_400_woff = Url("fa-brands-400.woff");
                    public static readonly string fa_brands_400_woff2 = Url("fa-brands-400.woff2");
                    public static readonly string fa_light_300_eot = Url("fa-light-300.eot");
                    public static readonly string fa_light_300_svg = Url("fa-light-300.svg");
                    public static readonly string fa_light_300_ttf = Url("fa-light-300.ttf");
                    public static readonly string fa_light_300_woff = Url("fa-light-300.woff");
                    public static readonly string fa_light_300_woff2 = Url("fa-light-300.woff2");
                    public static readonly string fa_regular_400_eot = Url("fa-regular-400.eot");
                    public static readonly string fa_regular_400_svg = Url("fa-regular-400.svg");
                    public static readonly string fa_regular_400_ttf = Url("fa-regular-400.ttf");
                    public static readonly string fa_regular_400_woff = Url("fa-regular-400.woff");
                    public static readonly string fa_regular_400_woff2 = Url("fa-regular-400.woff2");
                    public static readonly string fa_solid_900_eot = Url("fa-solid-900.eot");
                    public static readonly string fa_solid_900_svg = Url("fa-solid-900.svg");
                    public static readonly string fa_solid_900_ttf = Url("fa-solid-900.ttf");
                    public static readonly string fa_solid_900_woff = Url("fa-solid-900.woff");
                    public static readonly string fa_solid_900_woff2 = Url("fa-solid-900.woff2");
                }
            
                public static readonly string LICENSE_txt = Url("LICENSE.txt");
                public static readonly string light_less = Url("light.less");
                public static readonly string regular_less = Url("regular.less");
                public static readonly string solid_less = Url("solid.less");
                public static readonly string v4_shims_less = Url("v4-shims.less");
            }
        
            public static readonly string placeholder = Url("placeholder");
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public static class Tippy {
                public const string UrlPath = "~/Content/Vendor/Tippy";
                public static string Url() { return T4MVCHelpers.ProcessVirtualPath(UrlPath); }
                public static string Url(string fileName) { return T4MVCHelpers.ProcessVirtualPath(UrlPath + "/" + fileName); }
                public static readonly string tippy_css = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/tippy.min.css") ? Url("tippy.min.css") : Url("tippy.css");
                public static readonly string tippy_google_css = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/tippy.google.min.css") ? Url("tippy.google.min.css") : Url("tippy.google.css");
                public static readonly string tippy_light_border_css = T4MVCHelpers.IsProduction() && T4Extensions.FileExists(UrlPath + "/tippy.light-border.min.css") ? Url("tippy.light-border.min.css") : Url("tippy.light-border.css");
            }
        
        }
    
    }

    
    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public static partial class SiteBundles
    {
        public static partial class Scripts 
        {
            public static partial class Core 
            {
                public static class Assets
                {
                    public const string Main_ts = "~/Scripts/Core/Main.ts"; 
                    public const string require_config_generated_ts = "~/Scripts/Core/require.config.generated.ts"; 
                    public const string require_config_ts = "~/Scripts/Core/require.config.ts"; 
                    public const string require_js = "~/Scripts/Core/require.js"; 
                    public const string require_modules_generated_ts = "~/Scripts/Core/require.modules.generated.ts"; 
                    public const string tslib_js = "~/Scripts/Core/tslib.js"; 
                }
            }
            public static partial class Definitions 
            {
                public static partial class Vendor 
                {
                    public static class Assets
                    {
                        public const string aspnet_validation_d_ts = "~/Scripts/Definitions/Vendor/aspnet-validation.d.ts"; 
                        public const string knockout_d_ts = "~/Scripts/Definitions/Vendor/knockout.d.ts"; 
                        public const string popper_d_ts = "~/Scripts/Definitions/Vendor/popper.d.ts"; 
                        public const string requirejs_domReady_d_ts = "~/Scripts/Definitions/Vendor/requirejs-domReady.d.ts"; 
                        public const string requirejs_d_ts = "~/Scripts/Definitions/Vendor/requirejs.d.ts"; 
                        public const string tippy_d_ts = "~/Scripts/Definitions/Vendor/tippy.d.ts"; 
                    }
                }
                public static class Assets
                {
                    public const string mvc_models_dotnet_d_ts = "~/Scripts/Definitions/mvc.models.dotnet.d.ts"; 
                }
            }
            public static partial class Helpers 
            {
                public static class Assets
                {
                    public const string FormsValidationFactory_ts = "~/Scripts/Helpers/FormsValidationFactory.ts"; 
                    public const string HtmlJsonData_ts = "~/Scripts/Helpers/HtmlJsonData.ts"; 
                    public const string Require_Extensions_ts = "~/Scripts/Helpers/Require.Extensions.ts"; 
                    public const string TippyHelper_ts = "~/Scripts/Helpers/TippyHelper.ts"; 
                }
            }
            public static partial class Site 
            {
                public static partial class Login 
                {
                    public static class Assets
                    {
                        public const string Index_ts = "~/Scripts/Site/Login/Index.ts"; 
                    }
                }
                public static partial class Shared 
                {
                    public static class Assets
                    {
                        public const string Layout_ts = "~/Scripts/Site/Shared/Layout.ts"; 
                    }
                }
                public static class Assets
                {
                }
            }
            public static partial class Templates 
            {
                public static class Assets
                {
                }
            }
            public static partial class Vendor 
            {
                public static class Assets
                {
                    public const string aspnet_validation_js = "~/Scripts/Vendor/aspnet-validation.js"; 
                    public const string domReady_js = "~/Scripts/Vendor/domReady.js"; 
                    public const string knockout_js = "~/Scripts/Vendor/knockout.js"; 
                    public const string ko_mapping_js = "~/Scripts/Vendor/ko.mapping.js"; 
                    public const string popper_js = "~/Scripts/Vendor/popper.js"; 
                    public const string tippy_js = "~/Scripts/Vendor/tippy.js"; 
                }
            }
            public static class Assets
            {
            }
        }
        public static partial class Content 
        {
            public static partial class Fonts 
            {
                public static partial class Raleway 
                {
                    public static class Assets
                    {
                        public const string stylesheet_css = "~/Content/Fonts/Raleway/stylesheet.css";
                    }
                }
                public static class Assets
                {
                }
            }
            public static partial class Images 
            {
                public static class Assets
                {
                }
            }
            public static partial class Styles 
            {
                public static partial class _Controls 
                {
                    public static partial class Shared 
                    {
                        public static class Assets
                        {
                            public const string _NavItems_less = "~/Content/Styles/_Controls/Shared/_NavItems.less";
                            public const string NavHeadingIcons_less = "~/Content/Styles/_Controls/Shared/NavHeadingIcons.less";
                        }
                    }
                    public static class Assets
                    {
                        public const string _Alerts_less = "~/Content/Styles/_Controls/_Alerts.less";
                        public const string _Buttons_less = "~/Content/Styles/_Controls/_Buttons.less";
                        public const string _Links_less = "~/Content/Styles/_Controls/_Links.less";
                        public const string _Validators_less = "~/Content/Styles/_Controls/_Validators.less";
                    }
                }
                public static partial class _Tippy 
                {
                    public static class Assets
                    {
                        public const string tippy_oa_dropdown_less = "~/Content/Styles/_Tippy/tippy.oa-dropdown.less";
                    }
                }
                public static partial class Login 
                {
                    public static class Assets
                    {
                        public const string Index_less = "~/Content/Styles/Login/Index.less";
                    }
                }
                public static class Assets
                {
                    public const string _Branding_less = "~/Content/Styles/_Branding.less";
                    public const string _Controls_less = "~/Content/Styles/_Controls.less";
                    public const string _FallbackInit_less = "~/Content/Styles/_FallbackInit.less";
                    public const string Site_less = "~/Content/Styles/Site.less";
                    public const string Site_Single_less = "~/Content/Styles/Site.Single.less";
                }
            }
            public static partial class Styles_Fallback 
            {
                public static class Assets
                {
                    public const string _FallbackInit_less = "~/Content/Styles.Fallback/_FallbackInit.less";
                    public const string Site_less = "~/Content/Styles.Fallback/Site.less";
                }
            }
            public static partial class Vendor 
            {
                public static partial class FontAwesome 
                {
                    public static partial class Fonts 
                    {
                        public static class Assets
                        {
                        }
                    }
                    public static class Assets
                    {
                        public const string _animated_less = "~/Content/Vendor/FontAwesome/_animated.less";
                        public const string _bordered_pulled_less = "~/Content/Vendor/FontAwesome/_bordered-pulled.less";
                        public const string _core_less = "~/Content/Vendor/FontAwesome/_core.less";
                        public const string _fixed_width_less = "~/Content/Vendor/FontAwesome/_fixed-width.less";
                        public const string _icons_less = "~/Content/Vendor/FontAwesome/_icons.less";
                        public const string _larger_less = "~/Content/Vendor/FontAwesome/_larger.less";
                        public const string _list_less = "~/Content/Vendor/FontAwesome/_list.less";
                        public const string _mixins_less = "~/Content/Vendor/FontAwesome/_mixins.less";
                        public const string _rotated_flipped_less = "~/Content/Vendor/FontAwesome/_rotated-flipped.less";
                        public const string _screen_reader_less = "~/Content/Vendor/FontAwesome/_screen-reader.less";
                        public const string _shims_less = "~/Content/Vendor/FontAwesome/_shims.less";
                        public const string _stacked_less = "~/Content/Vendor/FontAwesome/_stacked.less";
                        public const string _variables_less = "~/Content/Vendor/FontAwesome/_variables.less";
                        public const string brands_less = "~/Content/Vendor/FontAwesome/brands.less";
                        public const string fontawesome_less = "~/Content/Vendor/FontAwesome/fontawesome.less";
                        public const string light_less = "~/Content/Vendor/FontAwesome/light.less";
                        public const string regular_less = "~/Content/Vendor/FontAwesome/regular.less";
                        public const string solid_less = "~/Content/Vendor/FontAwesome/solid.less";
                        public const string v4_shims_less = "~/Content/Vendor/FontAwesome/v4-shims.less";
                    }
                }
                public static partial class Tippy 
                {
                    public static class Assets
                    {
                        public const string tippy_css = "~/Content/Vendor/Tippy/tippy.css";
                        public const string tippy_google_css = "~/Content/Vendor/Tippy/tippy.google.css";
                        public const string tippy_light_border_css = "~/Content/Vendor/Tippy/tippy.light-border.css";
                    }
                }
                public static class Assets
                {
                    public const string bootstrap_vars_less = "~/Content/Vendor/bootstrap-vars.less";
                }
            }
            public static class Assets
            {
            }
        }
    }
}

[GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
internal static class T4MVCHelpers {
    // You can change the ProcessVirtualPath method to modify the path that gets returned to the client.
    // e.g. you can prepend a domain, or append a query string:
    //      return "http://localhost" + path + "?foo=bar";
    private static string ProcessVirtualPathDefault(string virtualPath) {
        // The path that comes in starts with ~/ and must first be made absolute
        string path = VirtualPathUtility.ToAbsolute(virtualPath);
        
        // Add your own modifications here before returning the path
        return path;
    }

    // Calling ProcessVirtualPath through delegate to allow it to be replaced for unit testing
    public static Func<string, string> ProcessVirtualPath = ProcessVirtualPathDefault;

    // Calling T4Extension.TimestampString through delegate to allow it to be replaced for 
    // unit testing and other purposes
    public static Func<string, string> TimestampString = System.Web.Mvc.T4Extensions.TimestampString;

    // Logic to determine if the app is running in production or dev environment
    public static bool IsProduction() { 
        return (HttpContext.Current != null && !HttpContext.Current.IsDebuggingEnabled); 
    }
}


namespace OneAccomplishment.Site.Controllers
{
    public partial class DefaultController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public DefaultController() { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected DefaultController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }


        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public DefaultController Actions { get { return MVC.Default; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "Default";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "Default";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
        }


        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
            }
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_DefaultController : OneAccomplishment.Site.Controllers.DefaultController
    {
        public T4MVC_DefaultController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            IndexOverride(callInfo);
            return callInfo;
        }

    }
}

namespace OneAccomplishment.Site.Controllers
{
    public partial class HomeController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public HomeController() { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected HomeController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }


        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public HomeController Actions { get { return MVC.Home; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "Home";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "Home";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
        }


        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string Index = "Index";
            }
            public readonly string Index = "~/Views/Home/Index.cshtml";
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_HomeController : OneAccomplishment.Site.Controllers.HomeController
    {
        public T4MVC_HomeController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            IndexOverride(callInfo);
            return callInfo;
        }

    }
}

namespace OneAccomplishment.Site.Controllers
{
    public partial class LoginController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected LoginController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }

        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Reauthenticate()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Reauthenticate);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public LoginController Actions { get { return MVC.Login; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "Login";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "Login";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
            public readonly string Reauthenticate = "Reauthenticate";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
            public const string Reauthenticate = "Reauthenticate";
        }


        static readonly ActionParamsClass_Reauthenticate s_params_Reauthenticate = new ActionParamsClass_Reauthenticate();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Reauthenticate ReauthenticateParams { get { return s_params_Reauthenticate; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Reauthenticate
        {
            public readonly string username = "username";
        }
        static readonly ActionParamsClass_Index s_params_Index = new ActionParamsClass_Index();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Index IndexParams { get { return s_params_Index; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Index
        {
            public readonly string loginVm = "loginVm";
        }
        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string Index = "Index";
            }
            public readonly string Index = "~/Views/Login/Index.cshtml";
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_LoginController : OneAccomplishment.Site.Controllers.LoginController
    {
        public T4MVC_LoginController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            IndexOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void ReauthenticateOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string username);

        [NonAction]
        public override System.Web.Mvc.ActionResult Reauthenticate(string username)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Reauthenticate);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "username", username);
            ReauthenticateOverride(callInfo, username);
            return callInfo;
        }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, OneAccomplishment.Site.ViewModels.LoginViewModel loginVm);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(OneAccomplishment.Site.ViewModels.LoginViewModel loginVm)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "loginVm", loginVm);
            IndexOverride(callInfo, loginVm);
            return callInfo;
        }

    }
}

namespace OneAccomplishment.Site.Controllers
{
    public partial class LogoutController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected LogoutController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }

        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Index()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public LogoutController Actions { get { return MVC.Logout; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "Logout";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "Logout";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
        }


        static readonly ActionParamsClass_Index s_params_Index = new ActionParamsClass_Index();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Index IndexParams { get { return s_params_Index; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Index
        {
            public readonly string returnUrl = "returnUrl";
        }
        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
            }
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_LogoutController : OneAccomplishment.Site.Controllers.LogoutController
    {
        public T4MVC_LogoutController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string returnUrl);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string returnUrl)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "returnUrl", returnUrl);
            IndexOverride(callInfo, returnUrl);
            return callInfo;
        }

    }
}

namespace OneAccomplishment.Site.Controllers
{
    public partial class SharedNavItemsController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected SharedNavItemsController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }


        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public SharedNavItemsController Actions { get { return MVC.SharedNavItems; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "SharedNavItems";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "SharedNavItems";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string AdministrationMenu = "AdministrationMenu";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string AdministrationMenu = "AdministrationMenu";
        }


        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
            }
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_SharedNavItemsController : OneAccomplishment.Site.Controllers.SharedNavItemsController
    {
        public T4MVC_SharedNavItemsController() : base(Dummy.Instance) { }

        [NonAction]
        partial void AdministrationMenuOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult AdministrationMenu()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.AdministrationMenu);
            AdministrationMenuOverride(callInfo);
            return callInfo;
        }

    }
}

namespace OneAccomplishment.Site.Controllers
{
    public partial class SharedUserDropdownController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected SharedUserDropdownController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }


        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public SharedUserDropdownController Actions { get { return MVC.SharedUserDropdown; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "SharedUserDropdown";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "SharedUserDropdown";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Normal = "Normal";
            public readonly string Fallback = "Fallback";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Normal = "Normal";
            public const string Fallback = "Fallback";
        }


        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
            }
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_SharedUserDropdownController : OneAccomplishment.Site.Controllers.SharedUserDropdownController
    {
        public T4MVC_SharedUserDropdownController() : base(Dummy.Instance) { }

        [NonAction]
        partial void NormalOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Normal()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Normal);
            NormalOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void FallbackOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Fallback()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Fallback);
            FallbackOverride(callInfo);
            return callInfo;
        }

    }
}

namespace OneAccomplishment.Site.Controllers
{
    public partial class SharedController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public SharedController() { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected SharedController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }


        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public SharedController Actions { get { return MVC.Shared; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "Shared";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "Shared";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
        }


        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string _Layout = "_Layout";
            }
            public readonly string _Layout = "~/Views/Shared/_Layout.cshtml";
            static readonly _ControlsClass s_Controls = new _ControlsClass();
            public _ControlsClass Controls { get { return s_Controls; } }
            [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
            public partial class _ControlsClass
            {
                static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
                public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
                public class _ViewNamesClass
                {
                    public readonly string _AdministrationMenu = "_AdministrationMenu";
                    public readonly string _HomeMenu = "_HomeMenu";
                    public readonly string _UserDropdown = "_UserDropdown";
                    public readonly string _UserDropdown_Fallback = "_UserDropdown_Fallback";
                    public readonly string web = "web";
                }
                public readonly string _AdministrationMenu = "~/Views/Shared/Controls/_AdministrationMenu.cshtml";
                public readonly string _HomeMenu = "~/Views/Shared/Controls/_HomeMenu.cshtml";
                public readonly string _UserDropdown = "~/Views/Shared/Controls/_UserDropdown.cshtml";
                public readonly string _UserDropdown_Fallback = "~/Views/Shared/Controls/_UserDropdown_Fallback.cshtml";
                public readonly string web = "~/Views/Shared/Controls/web.config";
            }
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_SharedController : OneAccomplishment.Site.Controllers.SharedController
    {
        public T4MVC_SharedController() : base(Dummy.Instance) { }

    }
}




namespace System.Web.Mvc {
    [GeneratedCode("T4MVC", "2.0")]
    public static class HtmlHelpersForExplicitPartials
    {
     
        ///<summary>
        ///Render the <b>_Layout</b> partial.
        ///</summary>
        public static void Render_Layout(this HtmlHelper html) {
            html.RenderPartial("~/Views/Shared/_Layout.cshtml");
        }
        
        ///<summary>
        ///Render the <b>_Layout</b> partial.
        ///</summary>
        public static void Render_Layout(this HtmlHelper html, object model) {
            html.RenderPartial("~/Views/Shared/_Layout.cshtml", model);
        }
     
    }
}

#endregion T4MVC
#pragma warning restore 1591, 3008, 3009, 0108, 0114


